Index
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form
A
- addCorsMappings(CorsRegistry) - Method in class fr.tiogars.domaintemplate.config.ApiCorsConfiguration
- ADMIN - Static variable in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- AdminAccountProperties - Record Class in fr.tiogars.domaintemplate.config
-
Initial administrator account settings.
- AdminAccountProperties(String, String) - Constructor for record class fr.tiogars.domaintemplate.config.AdminAccountProperties
-
Creates an instance of a
AdminAccountPropertiesrecord class. - ApiCorsConfiguration - Class in fr.tiogars.domaintemplate.config
-
Configures browser access to the API from the web console.
- ApiCorsConfiguration(String[]) - Constructor for class fr.tiogars.domaintemplate.config.ApiCorsConfiguration
- AuthLoginController - Class in fr.tiogars.domaintemplate.domains.auth.controllers
-
Exposes the endpoint that authenticates users.
- AuthMeController - Class in fr.tiogars.domaintemplate.domains.auth.controllers
-
Exposes the current authenticated user.
- AuthService - Class in fr.tiogars.domaintemplate.domains.auth.services
-
Authenticates credentials and issues JWT access tokens.
C
- code() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.entities.Role
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.models.CreateRoleRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.CreateDomainTemplateRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.template.client.CreateDomainTemplateRequest
-
Returns the value of the
coderecord component. - code() - Method in record class fr.tiogars.template.client.DomainTemplate
-
Returns the value of the
coderecord component. - create(CreateRoleRequest) - Method in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- create(CreateUserRequest) - Method in class fr.tiogars.domaintemplate.domains.auth.user.services.UserService
- create(CreateDomainTemplateRequest) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateService
-
Creates a DomainTemplate when its code does not already exist.
- create(CreateDomainTemplateRequest) - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Creates a DomainTemplate.
- createdDate() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.entities.Role
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Returns the value of the
createdDaterecord component. - createdDate() - Method in record class fr.tiogars.template.client.DomainTemplate
-
Returns the value of the
createdDaterecord component. - createDomainTemplate(CreateDomainTemplateRequest) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateCreateController
-
Creates a new version of a domain record.
- CreateDomainTemplateRequest - Record Class in fr.tiogars.domaintemplate.domains.domaintemplate.models
-
Defines the business data required to create a DomainTemplate.
- CreateDomainTemplateRequest - Record Class in fr.tiogars.template.client
-
Defines the data required to create a DomainTemplate.
- CreateDomainTemplateRequest(String, String, String) - Constructor for record class fr.tiogars.domaintemplate.domains.domaintemplate.models.CreateDomainTemplateRequest
-
Creates an instance of a
CreateDomainTemplateRequestrecord class. - CreateDomainTemplateRequest(String, String, String) - Constructor for record class fr.tiogars.template.client.CreateDomainTemplateRequest
-
Creates an instance of a
CreateDomainTemplateRequestrecord class. - CreateRoleRequest - Record Class in fr.tiogars.domaintemplate.domains.auth.role.models
-
Request body used to create a role.
- CreateRoleRequest(String, String) - Constructor for record class fr.tiogars.domaintemplate.domains.auth.role.models.CreateRoleRequest
-
Creates an instance of a
CreateRoleRequestrecord class. - CreateUserRequest - Record Class in fr.tiogars.domaintemplate.domains.auth.user.models
-
Request body used to create a user account.
- CreateUserRequest(String, String, Boolean, Set) - Constructor for record class fr.tiogars.domaintemplate.domains.auth.user.models.CreateUserRequest
-
Creates an instance of a
CreateUserRequestrecord class.
D
- delete(long) - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Deletes a DomainTemplate.
- delete(Long) - Method in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- delete(Long) - Method in class fr.tiogars.domaintemplate.domains.auth.user.services.UserService
- delete(Long) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateService
-
Deletes a DomainTemplate.
- deleteDomainTemplate(Long) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateDeleteController
-
Deletes every version of a record.
- description() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.CreateDomainTemplateRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.UpdateDomainTemplateRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.template.client.CreateDomainTemplateRequest
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.template.client.DomainTemplate
-
Returns the value of the
descriptionrecord component. - description() - Method in record class fr.tiogars.template.client.UpdateDomainTemplateRequest
-
Returns the value of the
descriptionrecord component. - doFilterInternal(HttpServletRequest, HttpServletResponse, FilterChain) - Method in class fr.tiogars.domaintemplate.domains.auth.services.JwtAuthenticationFilter
- DomainTemplate - Record Class in fr.tiogars.domaintemplate.domains.domaintemplate.entities
-
Represents an business object managed by the template API.
- DomainTemplate - Record Class in fr.tiogars.template.client
-
Represents a DomainTemplate returned by the DomainTemplate API.
- DomainTemplate(Long, String, String, String, Instant, Instant) - Constructor for record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Creates an instance of a
DomainTemplaterecord class. - DomainTemplate(Long, String, String, String, Instant, Instant) - Constructor for record class fr.tiogars.template.client.DomainTemplate
-
Creates an instance of a
DomainTemplaterecord class. - DomainTemplateApplication - Class in fr.tiogars.domaintemplate
-
Bootstraps the DomainTemplate Spring application.
- DomainTemplateApplication() - Constructor for class fr.tiogars.domaintemplate.DomainTemplateApplication
- DomainTemplateClient - Class in fr.tiogars.template.client
-
Provides HTTP access to the DomainTemplate API.
- DomainTemplateClient(URI) - Constructor for class fr.tiogars.template.client.DomainTemplateClient
-
Creates a client backed by the default Java HTTP client.
- DomainTemplateCreateController - Class in fr.tiogars.domaintemplate.domains.domaintemplate.controllers
-
Exposes the endpoint that creates domain records.
- DomainTemplateCreateController(DomainTemplateService) - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateCreateController
-
Creates the record creation endpoint.
- DomainTemplateCsvCodec - Class in fr.tiogars.domaintemplate.domains.domaintemplate.services
-
Serializes and parses DomainTemplates in the CSV import/export format.
- DomainTemplateCsvCodec() - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateCsvCodec
- DomainTemplateDeleteController - Class in fr.tiogars.domaintemplate.domains.domaintemplate.controllers
-
Exposes the endpoint that deletes every version of a domain record.
- DomainTemplateDeleteController(DomainTemplateService) - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateDeleteController
-
Creates the delete endpoint.
- DomainTemplateEntity - Class in fr.tiogars.domaintemplate.domains.domaintemplate.entities
-
Persists a DomainTemplate business object.
- DomainTemplateEntity() - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplateEntity
- DomainTemplateEntity(String, String, String, Instant, Instant) - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplateEntity
- DomainTemplateException - Exception Class in fr.tiogars.template.client
-
Indicates that the DomainTemplate API returned an unexpected response.
- DomainTemplateException(String) - Constructor for exception class fr.tiogars.template.client.DomainTemplateException
-
Creates an exception with the response failure details.
- DomainTemplateImportExportController - Class in fr.tiogars.domaintemplate.domains.domaintemplate.controllers
-
Exposes JSON and CSV import/export endpoints for DomainTemplates.
- DomainTemplateImportExportController(DomainTemplateService, DomainTemplateCsvCodec) - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateImportExportController
-
Creates the import/export controller.
- DomainTemplateReadController - Class in fr.tiogars.domaintemplate.domains.domaintemplate.controllers
-
Exposes lookup of one DomainTemplate by identifier.
- DomainTemplateReadController(DomainTemplateService) - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateReadController
- DomainTemplateRepository - Interface in fr.tiogars.domaintemplate.domains.domaintemplate.repositories
-
Provides persistence operations for DomainTemplates.
- DomainTemplateSeedController - Class in fr.tiogars.domaintemplate.domains.domaintemplate.controllers
-
Exposes the endpoint that seeds a collection of domain records.
- DomainTemplateSeedController(DomainTemplateService) - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateSeedController
-
Creates the seed endpoint.
- DomainTemplateService - Class in fr.tiogars.domaintemplate.domains.domaintemplate.services
-
Coordinates persistence and retrieval of DomainTemplates.
- DomainTemplateService(DomainTemplateRepository) - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateService
-
Creates a service using the system UTC clock.
- DomainTemplatesListController - Class in fr.tiogars.domaintemplate.domains.domaintemplate.controllers
-
Exposes the endpoint that lists records in a domain.
- DomainTemplatesListController(DomainTemplateService) - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplatesListController
-
Creates the domain query endpoint.
- DomainTemplateUpdateController - Class in fr.tiogars.domaintemplate.domains.domaintemplate.controllers
-
Exposes the endpoint that updates domain records.
- DomainTemplateUpdateController(DomainTemplateService) - Constructor for class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateUpdateController
-
Creates the record update endpoint.
E
- enabled() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Returns the value of the
enabledrecord component. - enabled() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.CreateUserRequest
-
Returns the value of the
enabledrecord component. - enabled() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.UpdateUserRequest
-
Returns the value of the
enabledrecord component. - equals(Object) - Method in record class fr.tiogars.domaintemplate.config.AdminAccountProperties
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.config.JwtProperties
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginResponse
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.auth.role.entities.Role
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.auth.role.models.CreateRoleRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.auth.role.models.UpdateRoleRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.CreateUserRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.UpdateUserRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.CreateDomainTemplateRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.UpdateDomainTemplateRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.template.client.CreateDomainTemplateRequest
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.template.client.DomainTemplate
-
Indicates whether some other object is "equal to" this one.
- equals(Object) - Method in record class fr.tiogars.template.client.UpdateDomainTemplateRequest
-
Indicates whether some other object is "equal to" this one.
- existsByUsername(String) - Method in interface fr.tiogars.domaintemplate.domains.auth.user.repositories.UserRepository
- expirationSeconds() - Method in record class fr.tiogars.domaintemplate.config.JwtProperties
-
Returns the value of the
expirationSecondsrecord component. - expiresAt() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginResponse
-
Returns the value of the
expiresAtrecord component. - expiresAt() - Method in class fr.tiogars.domaintemplate.domains.auth.services.JwtTokenService
- exportCsv() - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Exports all DomainTemplates as CSV.
- exportCsvDomainTemplate() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateImportExportController
-
Exports records as CSV.
- exportJson() - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Exports all DomainTemplates as JSON-compatible objects.
- exportJsonDomainTemplate() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateImportExportController
-
Exports records as JSON.
- extractUsername(String) - Method in class fr.tiogars.domaintemplate.domains.auth.services.JwtTokenService
F
- findAll() - Method in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- findAll() - Method in class fr.tiogars.domaintemplate.domains.auth.user.services.UserService
- findAll() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateService
-
Lists all templates ordered by business code.
- findAll() - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Lists all DomainTemplates.
- findAllByOrderByCodeAsc() - Method in interface fr.tiogars.domaintemplate.domains.auth.role.repositories.RoleRepository
- findAllByOrderByCodeAsc() - Method in interface fr.tiogars.domaintemplate.domains.domaintemplate.repositories.DomainTemplateRepository
-
Finds all DomainTemplates ordered by code.
- findAllByOrderByUsernameAsc() - Method in interface fr.tiogars.domaintemplate.domains.auth.user.repositories.UserRepository
- findByCode(String) - Method in interface fr.tiogars.domaintemplate.domains.auth.role.repositories.RoleRepository
- findByCode(String) - Method in interface fr.tiogars.domaintemplate.domains.domaintemplate.repositories.DomainTemplateRepository
-
Finds a DomainTemplate by its code.
- findById(long) - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Finds a DomainTemplate by identifier.
- findById(Long) - Method in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- findById(Long) - Method in class fr.tiogars.domaintemplate.domains.auth.user.services.UserService
- findById(Long) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateService
-
Finds a DomainTemplate by identifier.
- findByUsername(String) - Method in interface fr.tiogars.domaintemplate.domains.auth.user.repositories.UserRepository
- findByUsername(String) - Method in class fr.tiogars.domaintemplate.domains.auth.user.services.UserService
- findEntityByCode(String) - Method in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- forceAdminUser(String, String) - Method in class fr.tiogars.domaintemplate.domains.auth.user.services.UserService
- fr.tiogars.domaintemplate - package fr.tiogars.domaintemplate
- fr.tiogars.domaintemplate.config - package fr.tiogars.domaintemplate.config
- fr.tiogars.domaintemplate.domains.auth.controllers - package fr.tiogars.domaintemplate.domains.auth.controllers
- fr.tiogars.domaintemplate.domains.auth.models - package fr.tiogars.domaintemplate.domains.auth.models
- fr.tiogars.domaintemplate.domains.auth.role.controllers - package fr.tiogars.domaintemplate.domains.auth.role.controllers
- fr.tiogars.domaintemplate.domains.auth.role.entities - package fr.tiogars.domaintemplate.domains.auth.role.entities
- fr.tiogars.domaintemplate.domains.auth.role.models - package fr.tiogars.domaintemplate.domains.auth.role.models
- fr.tiogars.domaintemplate.domains.auth.role.repositories - package fr.tiogars.domaintemplate.domains.auth.role.repositories
- fr.tiogars.domaintemplate.domains.auth.role.services - package fr.tiogars.domaintemplate.domains.auth.role.services
- fr.tiogars.domaintemplate.domains.auth.services - package fr.tiogars.domaintemplate.domains.auth.services
- fr.tiogars.domaintemplate.domains.auth.user.controllers - package fr.tiogars.domaintemplate.domains.auth.user.controllers
- fr.tiogars.domaintemplate.domains.auth.user.entities - package fr.tiogars.domaintemplate.domains.auth.user.entities
- fr.tiogars.domaintemplate.domains.auth.user.models - package fr.tiogars.domaintemplate.domains.auth.user.models
- fr.tiogars.domaintemplate.domains.auth.user.repositories - package fr.tiogars.domaintemplate.domains.auth.user.repositories
- fr.tiogars.domaintemplate.domains.auth.user.services - package fr.tiogars.domaintemplate.domains.auth.user.services
- fr.tiogars.domaintemplate.domains.domaintemplate.controllers - package fr.tiogars.domaintemplate.domains.domaintemplate.controllers
- fr.tiogars.domaintemplate.domains.domaintemplate.entities - package fr.tiogars.domaintemplate.domains.domaintemplate.entities
- fr.tiogars.domaintemplate.domains.domaintemplate.models - package fr.tiogars.domaintemplate.domains.domaintemplate.models
- fr.tiogars.domaintemplate.domains.domaintemplate.repositories - package fr.tiogars.domaintemplate.domains.domaintemplate.repositories
- fr.tiogars.domaintemplate.domains.domaintemplate.services - package fr.tiogars.domaintemplate.domains.domaintemplate.services
- fr.tiogars.template.client - package fr.tiogars.template.client
G
- generateToken(UserDetails) - Method in class fr.tiogars.domaintemplate.domains.auth.services.JwtTokenService
- getCode() - Method in class fr.tiogars.domaintemplate.domains.auth.role.entities.RoleEntity
- getCode() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplateEntity
- getCreatedDate() - Method in class fr.tiogars.domaintemplate.domains.auth.role.entities.RoleEntity
- getCreatedDate() - Method in class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
- getCreatedDate() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplateEntity
- getDescription() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplateEntity
- getId() - Method in class fr.tiogars.domaintemplate.domains.auth.role.entities.RoleEntity
- getId() - Method in class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
- getId() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplateEntity
- getLabel() - Method in class fr.tiogars.domaintemplate.domains.auth.role.entities.RoleEntity
- getLabel() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplateEntity
- getLastModifiedDate() - Method in class fr.tiogars.domaintemplate.domains.auth.role.entities.RoleEntity
- getLastModifiedDate() - Method in class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
- getLastModifiedDate() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplateEntity
- getPasswordHash() - Method in class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
- getRoles() - Method in class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
- getUsername() - Method in class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
H
- hashCode() - Method in record class fr.tiogars.domaintemplate.config.AdminAccountProperties
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.config.JwtProperties
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginResponse
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.entities.Role
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.models.CreateRoleRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.models.UpdateRoleRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.CreateUserRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.UpdateUserRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.CreateDomainTemplateRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.UpdateDomainTemplateRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.template.client.CreateDomainTemplateRequest
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.template.client.DomainTemplate
-
Returns a hash code value for this object.
- hashCode() - Method in record class fr.tiogars.template.client.UpdateDomainTemplateRequest
-
Returns a hash code value for this object.
I
- id() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.entities.Role
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Returns the value of the
idrecord component. - id() - Method in record class fr.tiogars.template.client.DomainTemplate
-
Returns the value of the
idrecord component. - importCsv(String) - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Imports DomainTemplates from a CSV document.
- importCsvDomainTemplate(String) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateImportExportController
-
Imports CSV records.
- importJson(List) - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Imports DomainTemplates from JSON-compatible requests.
- importJsonDomainTemplate(List) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateImportExportController
-
Imports JSON records.
- isEnabled() - Method in class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
- isValid(String, UserDetails) - Method in class fr.tiogars.domaintemplate.domains.auth.services.JwtTokenService
J
- JwtAuthenticationFilter - Class in fr.tiogars.domaintemplate.domains.auth.services
-
Reads Bearer tokens and populates the Spring Security context.
- JwtProperties - Record Class in fr.tiogars.domaintemplate.config
-
JWT signing and lifetime settings.
- JwtProperties(String, long) - Constructor for record class fr.tiogars.domaintemplate.config.JwtProperties
-
Creates an instance of a
JwtPropertiesrecord class. - JwtTokenService - Class in fr.tiogars.domaintemplate.domains.auth.services
-
Generates and validates signed JWT access tokens.
- JwtTokenService(JwtProperties) - Constructor for class fr.tiogars.domaintemplate.domains.auth.services.JwtTokenService
L
- label() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.entities.Role
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.models.CreateRoleRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.models.UpdateRoleRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.CreateDomainTemplateRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.UpdateDomainTemplateRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.template.client.CreateDomainTemplateRequest
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.template.client.DomainTemplate
-
Returns the value of the
labelrecord component. - label() - Method in record class fr.tiogars.template.client.UpdateDomainTemplateRequest
-
Returns the value of the
labelrecord component. - lastModifiedDate() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.entities.Role
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Returns the value of the
lastModifiedDaterecord component. - lastModifiedDate() - Method in record class fr.tiogars.template.client.DomainTemplate
-
Returns the value of the
lastModifiedDaterecord component. - listDomainTemplate() - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplatesListController
-
Lists all records.
- loadUserByUsername(String) - Method in class fr.tiogars.domaintemplate.domains.auth.services.TemplateUserDetailsService
- login(LoginRequest) - Method in class fr.tiogars.domaintemplate.domains.auth.services.AuthService
- LoginRequest - Record Class in fr.tiogars.domaintemplate.domains.auth.models
-
Credentials used to request a JWT.
- LoginRequest(String, String) - Constructor for record class fr.tiogars.domaintemplate.domains.auth.models.LoginRequest
-
Creates an instance of a
LoginRequestrecord class. - LoginResponse - Record Class in fr.tiogars.domaintemplate.domains.auth.models
-
JWT response returned after successful authentication.
- LoginResponse(String, String, Instant, User) - Constructor for record class fr.tiogars.domaintemplate.domains.auth.models.LoginResponse
-
Creates an instance of a
LoginResponserecord class.
M
- main(String[]) - Static method in class fr.tiogars.domaintemplate.DomainTemplateApplication
-
Starts the application.
P
- parse(String) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateCsvCodec
-
Parses records from CSV.
- password() - Method in record class fr.tiogars.domaintemplate.config.AdminAccountProperties
-
Returns the value of the
passwordrecord component. - password() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginRequest
-
Returns the value of the
passwordrecord component. - password() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.CreateUserRequest
-
Returns the value of the
passwordrecord component. - password() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.UpdateUserRequest
-
Returns the value of the
passwordrecord component.
R
- readDomainTemplate(Long) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateReadController
- Role - Record Class in fr.tiogars.domaintemplate.domains.auth.role.entities
-
Public role representation.
- Role(Long, String, String, Instant, Instant) - Constructor for record class fr.tiogars.domaintemplate.domains.auth.role.entities.Role
-
Creates an instance of a
Rolerecord class. - RoleCreateController - Class in fr.tiogars.domaintemplate.domains.auth.role.controllers
-
Exposes the endpoint that creates roles.
- RoleDeleteController - Class in fr.tiogars.domaintemplate.domains.auth.role.controllers
-
Exposes the endpoint that deletes roles.
- RoleEntity - Class in fr.tiogars.domaintemplate.domains.auth.role.entities
-
Persists an authorization role.
- RoleEntity() - Constructor for class fr.tiogars.domaintemplate.domains.auth.role.entities.RoleEntity
- RoleEntity(String, String, Instant, Instant) - Constructor for class fr.tiogars.domaintemplate.domains.auth.role.entities.RoleEntity
- RoleReadController - Class in fr.tiogars.domaintemplate.domains.auth.role.controllers
-
Exposes the endpoint that reads roles.
- RoleRepository - Interface in fr.tiogars.domaintemplate.domains.auth.role.repositories
-
Accesses persisted authorization roles.
- roles() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Returns the value of the
rolesrecord component. - roles() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.CreateUserRequest
-
Returns the value of the
rolesrecord component. - roles() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.UpdateUserRequest
-
Returns the value of the
rolesrecord component. - RoleService - Class in fr.tiogars.domaintemplate.domains.auth.role.services
-
Coordinates role persistence and default role seeding.
- RoleService(RoleRepository) - Constructor for class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- RolesListController - Class in fr.tiogars.domaintemplate.domains.auth.role.controllers
-
Exposes the endpoint that lists roles.
- RoleUpdateController - Class in fr.tiogars.domaintemplate.domains.auth.role.controllers
-
Exposes the endpoint that updates roles.
S
- secret() - Method in record class fr.tiogars.domaintemplate.config.JwtProperties
-
Returns the value of the
secretrecord component. - seed(List) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateService
-
Creates or updates templates by immutable business code.
- seed(List) - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Seeds DomainTemplates from structured requests.
- seedDefaultRoles() - Method in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- seedDomainTemplate(List) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateSeedController
-
Creates or replaces the supplied records.
- serialize(List) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateCsvCodec
-
Serializes records to CSV.
T
- TemplateUserDetailsService - Class in fr.tiogars.domaintemplate.domains.auth.services
-
Loads persisted users for Spring Security authentication.
- token() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginResponse
-
Returns the value of the
tokenrecord component. - tokenType() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginResponse
-
Returns the value of the
tokenTyperecord component. - toRecord(RoleEntity) - Static method in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- toRecord(UserEntity) - Static method in class fr.tiogars.domaintemplate.domains.auth.user.services.UserService
- toString() - Method in record class fr.tiogars.domaintemplate.config.AdminAccountProperties
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.config.JwtProperties
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginResponse
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.entities.Role
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.models.CreateRoleRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.auth.role.models.UpdateRoleRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.CreateUserRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.UpdateUserRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplate
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.CreateDomainTemplateRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.domaintemplate.domains.domaintemplate.models.UpdateDomainTemplateRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.template.client.CreateDomainTemplateRequest
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.template.client.DomainTemplate
-
Returns a string representation of this record class.
- toString() - Method in record class fr.tiogars.template.client.UpdateDomainTemplateRequest
-
Returns a string representation of this record class.
U
- update(long, UpdateDomainTemplateRequest) - Method in class fr.tiogars.template.client.DomainTemplateClient
-
Updates a DomainTemplate.
- update(Long, UpdateRoleRequest) - Method in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- update(Long, UpdateUserRequest) - Method in class fr.tiogars.domaintemplate.domains.auth.user.services.UserService
- update(Long, UpdateDomainTemplateRequest) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.services.DomainTemplateService
-
Updates the mutable fields of a DomainTemplate.
- update(String, String, boolean, Set, Instant) - Method in class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
- update(String, String, Instant) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.entities.DomainTemplateEntity
- update(String, Instant) - Method in class fr.tiogars.domaintemplate.domains.auth.role.entities.RoleEntity
- updateDomainTemplate(Long, UpdateDomainTemplateRequest) - Method in class fr.tiogars.domaintemplate.domains.domaintemplate.controllers.DomainTemplateUpdateController
-
Replaces the payload of an existing record version.
- UpdateDomainTemplateRequest - Record Class in fr.tiogars.domaintemplate.domains.domaintemplate.models
-
Defines the mutable business data of a DomainTemplate.
- UpdateDomainTemplateRequest - Record Class in fr.tiogars.template.client
-
Defines the mutable data of a DomainTemplate.
- UpdateDomainTemplateRequest(String, String) - Constructor for record class fr.tiogars.domaintemplate.domains.domaintemplate.models.UpdateDomainTemplateRequest
-
Creates an instance of a
UpdateDomainTemplateRequestrecord class. - UpdateDomainTemplateRequest(String, String) - Constructor for record class fr.tiogars.template.client.UpdateDomainTemplateRequest
-
Creates an instance of a
UpdateDomainTemplateRequestrecord class. - UpdateRoleRequest - Record Class in fr.tiogars.domaintemplate.domains.auth.role.models
-
Request body used to update a role.
- UpdateRoleRequest(String) - Constructor for record class fr.tiogars.domaintemplate.domains.auth.role.models.UpdateRoleRequest
-
Creates an instance of a
UpdateRoleRequestrecord class. - UpdateUserRequest - Record Class in fr.tiogars.domaintemplate.domains.auth.user.models
-
Request body used to update a user account.
- UpdateUserRequest(String, String, Boolean, Set) - Constructor for record class fr.tiogars.domaintemplate.domains.auth.user.models.UpdateUserRequest
-
Creates an instance of a
UpdateUserRequestrecord class. - user() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginResponse
-
Returns the value of the
userrecord component. - User - Record Class in fr.tiogars.domaintemplate.domains.auth.user.entities
-
Public user account representation.
- User(Long, String, boolean, List, Instant, Instant) - Constructor for record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Creates an instance of a
Userrecord class. - USER - Static variable in class fr.tiogars.domaintemplate.domains.auth.role.services.RoleService
- UserCreateController - Class in fr.tiogars.domaintemplate.domains.auth.user.controllers
-
Exposes the endpoint that creates user accounts.
- UserDeleteController - Class in fr.tiogars.domaintemplate.domains.auth.user.controllers
-
Exposes the endpoint that deletes user accounts.
- UserEntity - Class in fr.tiogars.domaintemplate.domains.auth.user.entities
-
Persists a user account and its password hash.
- UserEntity() - Constructor for class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
- UserEntity(String, String, boolean, Set, Instant, Instant) - Constructor for class fr.tiogars.domaintemplate.domains.auth.user.entities.UserEntity
- username() - Method in record class fr.tiogars.domaintemplate.config.AdminAccountProperties
-
Returns the value of the
usernamerecord component. - username() - Method in record class fr.tiogars.domaintemplate.domains.auth.models.LoginRequest
-
Returns the value of the
usernamerecord component. - username() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.entities.User
-
Returns the value of the
usernamerecord component. - username() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.CreateUserRequest
-
Returns the value of the
usernamerecord component. - username() - Method in record class fr.tiogars.domaintemplate.domains.auth.user.models.UpdateUserRequest
-
Returns the value of the
usernamerecord component. - UserReadController - Class in fr.tiogars.domaintemplate.domains.auth.user.controllers
-
Exposes the endpoint that reads user accounts.
- UserRepository - Interface in fr.tiogars.domaintemplate.domains.auth.user.repositories
-
Accesses persisted user accounts.
- UserService - Class in fr.tiogars.domaintemplate.domains.auth.user.services
-
Coordinates user account persistence and password hashing.
- UserService(UserRepository, RoleService, PasswordEncoder) - Constructor for class fr.tiogars.domaintemplate.domains.auth.user.services.UserService
- UsersListController - Class in fr.tiogars.domaintemplate.domains.auth.user.controllers
-
Exposes the endpoint that lists user accounts.
- UserUpdateController - Class in fr.tiogars.domaintemplate.domains.auth.user.controllers
-
Exposes the endpoint that updates user accounts.
All Classes and Interfaces|All Packages|Constant Field Values|Serialized Form